Bug 224903 - [textproc/itstool] upgrade from 2.0.2 to 2.0.5
Summary: [textproc/itstool] upgrade from 2.0.2 to 2.0.5
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL: https://github.com/itstool/itstool/is...
Keywords:
Depends on:
Blocks: 232230
  Show dependency treegraph
 
Reported: 2018-01-04 17:21 UTC by Michael Zhilin
Modified: 2019-03-17 13:31 UTC (History)
11 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
SVN patch (4.40 KB, patch)
2018-01-04 17:21 UTC, Michael Zhilin
no flags Details | Diff
SVN patch (4.40 KB, patch)
2018-08-29 16:18 UTC, Michael Zhilin
no flags Details | Diff
Upgrade to 2.0.5 (1.23 KB, patch)
2019-01-09 21:48 UTC, Mikhail Teterin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2018-01-04 17:21:23 UTC
Created attachment 189406 [details]
SVN patch

Hi,

Here is patch to upgrade itstool from 2.0.2 to 2.0.4 with few changes:
 - use python3 (added in 2.0.3: http://itstool.org/download.html)
 - add fix for merge operation (open issue: https://github.com/itstool/itstool/issues/19 )
Comment 1 Nathan 2018-08-29 03:37:04 UTC
Patch doesn't apply cleanly, needs to be rebased
Comment 2 Michael Zhilin 2018-08-29 16:18:23 UTC
Created attachment 196682 [details]
SVN patch

Updated patch.
Comment 3 Koop Mast freebsd_committer 2018-09-28 15:45:43 UTC
Just some info, there are bugs in this release that break the build. One of these is a translation in the gnumeric package. So this needs to be tested before this update can be committed.
Comment 4 Mikhail Teterin freebsd_committer 2019-01-09 21:48:36 UTC
Created attachment 200968 [details]
Upgrade to 2.0.5

Among the ChangeLog entries is the claim, that PY2/PY3 issues have been resolved. Indeed, I successfully built this port with Python-3.6 and then used it to successfully build gtk-doc.
Comment 5 commit-hook freebsd_committer 2019-03-05 12:17:02 UTC
A commit references this bug:

Author: mi
Date: Tue Mar  5 12:16:56 UTC 2019
New revision: 494694
URL: https://svnweb.freebsd.org/changeset/ports/494694

Log:
  Upgrade from 2.0.2 to 2.0.5. Among improvements is compatibility
  with Python-3

  PR:		224903
  Approved by:	maintainer timeout

Changes:
  head/textproc/itstool/Makefile
  head/textproc/itstool/distinfo
Comment 6 Tobias C. Berner freebsd_committer 2019-03-05 20:01:31 UTC
This broke textproc/gtk-doc.
Comment 7 rozhuk.im 2019-03-05 21:25:05 UTC
(In reply to Tobias C. Berner from comment #6)

Are you sure?
Im buld today gtk-doc many times as dep for almost all ports that use it and no fail.
Comment 8 Mikhail Teterin freebsd_committer 2019-03-05 23:44:05 UTC
(In reply to Tobias C. Berner from comment #6)
Could you provide the build-log with the failure?
Comment 9 Guido Falsi freebsd_committer 2019-03-06 11:06:31 UTC
I also experienced the breakage in poudriere. It was caused by the PKGNAMEPREFIX line removed in r494737.

the error is:

===>   gtk-doc-1.29 depends on executable: itstool - not found
===>   gtk-doc-1.29 depends on package: /packages/All/py36-itstool-2.0.5.txz - not found
===>   USE_PACKAGE_DEPENDS_ONLY set - not building missing dependency from source
*** Error code 1

Stop.
make: stopped in /usr/ports/textproc/gtk-doc
Comment 10 w.schwarzenfeld freebsd_triage 2019-03-06 12:18:23 UTC
(In reply to Guido Falsi from comment #9)
Should fixed with ports r494737.
Comment 11 Danilo G. Baio freebsd_committer 2019-03-17 12:27:54 UTC
Hi.

Another issue after this update is with FreeBSD translations.

There is a `make tran` command which do this:
@${ITSTOOL} -l ${PO_LANG} -m ${PO_LANG}.mo -o ${DOC}.xml ${DOC}.translate.xml


~/temp_zanata/doc_svn_https/pt_BR.ISO8859-1/articles/bsdl-gpl> make tran
~/temp_zanata/doc_svn_https/pt_BR.ISO8859-1/articles/bsdl-gpl> svn diff
Index: article.xml
===================================================================
--- article.xml	(revision 52873)
+++ article.xml	(working copy)
@@ -5,8 +5,8 @@
   <info><title>Por que você deve usar uma licença de estilo BSD em seu Projeto Open Source</title>

     <authorgroup>
-      <author><personname><firstname>Bruce</firstname><surname>Montague</surname></personname><affiliation> <address><email>brucem@alumni.cse.ucsc.edu</email>
-          </address> </affiliation></author>
+      <author><personname><firstname>Bruce</firstname><surname>Montague</surname></personname><affiliation> <default:address xmlns="http://docbook.org/ns/docbook"><email>brucem@alumni.cse.ucsc.edu</email>
+          </default:address> </affiliation></author>
     </authorgroup>


So we get these errors when it breaks the build:

namespace error : Namespace prefix default on address is not defined
element default:address: validity error : No declaration for attribute xmlns of element default:address
element affiliation: validity error : Element affiliation content does not follow the DTD, expecting (shortaffil? , jobtitle* , (org? | (orgname? , orgdiv* , address*))), got (default:address )
...


Reinstalling itstool-2.0.2_2 fixed this.
Comment 12 Mikhail T. 2019-03-17 13:12:44 UTC
That looks like an upstream change, rather than a problem with the upgrade. Would you be able to report it to the author?
Comment 13 Danilo G. Baio freebsd_committer 2019-03-17 13:31:12 UTC
(In reply to Mikhail T. from comment #12)

Sure, it's done.
Thank you.